| Face Engine SDK 4.7.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
fsdk::IBlackWhiteEstimator Struct Referenceabstract

Grayscale image estimator interface. More...

`#include <IBlackWhiteEstimator.h>`

Inheritance diagram for fsdk::IBlackWhiteEstimator:

## Public Member Functions
virtual Result< FSDKError > | estimate (const Image &image, bool &outIsGrayscale) const noexcept=0
| Check if image is grayscale or color. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

Grayscale image estimator interface.

Note
  This estimator is indifferent to image content and dimensions; you can pass both face crops (including warped images) and full frames.

## Member Function Documentation

virtual Result<FSDKError> fsdk::IBlackWhiteEstimator::estimate | ( | const Image & | image,
|  | bool & | outIsGrayscale
| ) |  | const
| pure virtual noexcept

Check if image is grayscale or color.

Parameters

  [in] | image | source image. Format must be R8G8B8.
  [out] | outIsGrayscale | estimation result; true if image is grayscale, false if not.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/IBlackWhiteEstimator.h